Bug 620825 - Unmounts filesystems in wrong order, gives traceback
Summary: Unmounts filesystems in wrong order, gives traceback
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock   
(Show other bugs)
Version: el6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 15:16 UTC by Tim Waugh
Modified: 2013-01-10 06:07 UTC (History)
3 users (show)

Fixed In Version: mock-1.1.10-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 08:51:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (11.67 KB, text/plain)
2010-08-03 15:16 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2010-08-03 15:16:09 UTC
Created attachment 436295 [details]
root.log

Description of problem:
I see a traceback when trying to build a package on Red Hat Enterprise Linux 6 Beta:

Traceback (most recent call last):
  File "/usr/sbin/mock", line 748, in <module>
    main(retParams)
  File "/usr/sbin/mock", line 690, in main
    do_rebuild(config_opts, chroot, args)
  File "<peak.util.decorators.rewrap wrapping __main__.do_rebuild at 0x021936E0>", line 3, in do_rebuild
    def do_rebuild(config_opts, chroot, srpms): return __decorated(config_opts, chroot, srpms)
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 412, in do_rebuild
    chroot.build(srpm, timeout=config_opts['rpmbuild_timeout'])
  File "<peak.util.decorators.rewrap wrapping mock.backend.build at 0x02193848>", line 3, in build
    def build(self, srpm, timeout): return __decorated(self, srpm, timeout)
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mock/backend.py", line 519, in build
    self.uidManager.restorePrivs()
  File "<peak.util.decorators.rewrap wrapping mock.uid.restorePrivs at 0x021391B8>", line 3, in restorePrivs
    def restorePrivs(self): return __decorated(self)
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mock/uid.py", line 38, in restorePrivs
    privs = self.privStack.pop()
IndexError: pop from empty list

This seems to come about because of /proc/filesystems being mounted at the point that /proc is unmounted in the chroot filesystem.

Version-Release number of selected component (if applicable):
mock-1.1.2-1.el6.noarch

How reproducible:
100%

with 'mock -r fedora-13_x86_64 cups-1.4.4-7.fc13.src.rpm' for example

See the attached root.log.

Comment 1 Clark Williams 2010-08-03 17:32:15 UTC
This may be more fall out of our selinux plugin (which modifies /proc/filesystem to fake out SELinux). 

As a workaround, you might try it with the following config option set in either your config or site-defaults.cfg:

config_opt['plugins']['selinux_enable'] = False

I'm working on trying to fix the selinux stuff, but if I can't then I'll disable the plugin by default on the next spin of mock (which should be Real Soon Now(tm)).

Comment 2 Fedora Update System 2010-08-03 22:24:23 UTC
mock-1.1.3-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc14

Comment 3 Fedora Update System 2010-08-03 22:25:17 UTC
mock-1.1.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc13

Comment 4 Fedora Update System 2010-08-03 22:28:16 UTC
mock-1.0.10-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mock-1.0.10-1.el5

Comment 5 Fedora Update System 2010-08-03 22:29:19 UTC
mock-1.0.10-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mock-1.0.10-1.fc12

Comment 6 Tim Waugh 2010-08-04 09:23:20 UTC
All works fine on EL6 with this line added to /etc/mock/site-defaults.cfg:

config_opts['plugin_conf']['selinux_enable'] = False

So I guess it must be the selinux plugin at fault.  Thanks!

Comment 7 Fedora Update System 2010-08-04 23:03:52 UTC
mock-1.0.10-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.0.10-1.el5

Comment 8 Fedora Update System 2010-08-05 14:21:39 UTC
mock-1.1.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc14

Comment 9 Fedora Update System 2010-08-05 23:35:21 UTC
mock-1.1.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc13

Comment 10 Fedora Update System 2010-08-05 23:36:54 UTC
mock-1.0.10-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.0.10-1.fc12

Comment 11 Fedora Update System 2010-08-07 23:22:53 UTC
mock-1.1.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Tim Waugh 2010-08-09 08:26:38 UTC
Re-opening for EPEL6.

Comment 13 Fedora Update System 2010-08-19 17:21:03 UTC
mock-1.1.4-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/mock-1.1.4-1.fc14

Comment 14 Fedora Update System 2010-08-19 17:22:10 UTC
mock-1.1.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mock-1.1.4-1.fc13

Comment 15 Fedora Update System 2010-08-19 17:32:56 UTC
mock-1.0.11-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mock-1.0.11-1.fc12

Comment 16 Fedora Update System 2010-08-19 17:34:15 UTC
mock-1.0.11-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mock-1.0.11-1.el5

Comment 17 Fedora Update System 2010-08-19 22:00:16 UTC
mock-1.0.11-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.0.11-1.el5

Comment 18 Fedora Update System 2010-08-23 21:57:41 UTC
mock-1.1.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-08-24 01:28:21 UTC
mock-1.1.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Tim Waugh 2010-08-24 08:50:10 UTC
Re-opening for EPEL6.

Comment 21 Tim Waugh 2010-08-24 08:51:08 UTC
Oh, it's already built for EPEL6.  Apologies, closing.

Comment 22 Fedora Update System 2010-08-26 01:03:06 UTC
mock-1.0.11-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-09-20 14:43:08 UTC
mock-1.0.12-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mock-1.0.12-1.fc12

Comment 24 Fedora Update System 2010-09-20 14:44:41 UTC
mock-1.0.12-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.12-1.el5

Comment 25 Fedora Update System 2010-10-20 15:44:59 UTC
mock-1.0.13-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.13-1.el5

Comment 26 Fedora Update System 2010-10-20 15:47:12 UTC
mock-1.0.13-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mock-1.0.13-1.fc12

Comment 27 Fedora Update System 2010-12-14 16:15:09 UTC
mock-1.0.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.14-1.el5

Comment 28 Fedora Update System 2011-01-18 20:05:21 UTC
mock-1.0.15-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.15-1.el5

Comment 29 Fedora Update System 2011-02-20 02:27:32 UTC
mock-1.1.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc13

Comment 30 Fedora Update System 2011-02-20 02:30:33 UTC
mock-1.0.16-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.16-1.el5

Comment 31 Fedora Update System 2011-02-20 02:33:23 UTC
mock-1.1.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.el6

Comment 32 Fedora Update System 2011-02-20 02:36:13 UTC
mock-1.1.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc14

Comment 33 Fedora Update System 2011-03-03 08:26:23 UTC
mock-1.1.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2011-03-03 08:34:57 UTC
mock-1.1.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2011-05-13 20:35:24 UTC
mock-1.1.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc15

Comment 36 Fedora Update System 2011-05-13 20:39:44 UTC
mock-1.1.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc14

Comment 37 Fedora Update System 2011-05-13 20:44:02 UTC
mock-1.0.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.17-1.el5

Comment 38 Fedora Update System 2011-05-13 20:48:19 UTC
mock-1.1.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc13

Comment 39 Fedora Update System 2011-05-13 20:52:41 UTC
mock-1.1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.el6

Comment 40 Fedora Update System 2011-05-19 04:36:44 UTC
mock-1.1.10-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2011-05-25 02:44:02 UTC
mock-1.1.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 42 Fedora Update System 2011-05-25 03:18:13 UTC
mock-1.1.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2011-06-02 19:08:13 UTC
mock-1.0.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2011-06-02 19:18:04 UTC
mock-1.1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.